From 03dbea56f650bba4f1aa0c54d02b6e8c3639d04f Mon Sep 17 00:00:00 2001
From: Robby Zampino <robozman@gmail.com>
Date: Mon, 22 Apr 2019 22:04:36 -0600
Subject: [PATCH] Added DBus calls to activate and deactivate push to talk

---
 src/mumble/DBus.cpp | 8 ++++++++
 src/mumble/DBus.h   | 2 ++
 2 files changed, 10 insertions(+)

diff --git a/src/mumble/DBus.cpp b/src/mumble/DBus.cpp
index 6fcde04b..5260e1b2 100644
--- a/src/mumble/DBus.cpp
+++ b/src/mumble/DBus.cpp
@@ -97,3 +97,11 @@ bool MumbleDBus::isSelfMuted() {
 bool MumbleDBus::isSelfDeaf() {
 	return g.s.bDeaf;
 }
+
+void MumbleDBus::startTalking() {
+    g.mw->on_PushToTalk_triggered(true, QVariant());
+}
+
+void MumbleDBus::stopTalking () {
+    g.mw->on_PushToTalk_triggered(false, QVariant());
+}
diff --git a/src/mumble/DBus.h b/src/mumble/DBus.h
index 1505017c..bd28e5f0 100644
--- a/src/mumble/DBus.h
+++ b/src/mumble/DBus.h
@@ -28,6 +28,8 @@ class MumbleDBus : public QDBusAbstractAdaptor {
 		void setSelfDeaf(bool deafen);
 		bool isSelfMuted();
 		bool isSelfDeaf();
+		void startTalking();
+		void stopTalking();
 };
 
 #endif
-- 
2.26.2

